Nextcloud Internal server error

NethServer Version: 7.7
Module: nextcloud

Hi guys.
Today my nexcloud stop working. I don’t know, why, no mail about updates was recieved. Login page prints:
Internal Server Error

The server encountered an internal error and was unable to complete your request.
Please contact the server administrator if this error reappears multiple times, please include the technical details below in your report.
More details can be found in the server log.

/var/lib/nethserver/nextcloud/nextcloud.log

{"reqId":"XnyZH9pYOk4FvEGDVMRSaQAAAAU","level":3,"time":"2020-03-26T11:59:27+00:00","remoteAddr":"217.75.69.150","user":"--","app":"PHP","method":"GET","url":"/nextcloud/","message":"Undefined index: name a$
{"reqId":"XnyZH9pYOk4FvEGDVMRSaQAAAAU","level":3,"time":"2020-03-26T11:59:27+00:00","remoteAddr":"217.75.69.150","user":"--","app":"PHP","method":"GET","url":"/nextcloud/","message":"Undefined index: name a$
{"reqId":"XnyZH9pYOk4FvEGDVMRSaQAAAAU","level":3,"time":"2020-03-26T11:59:29+00:00","remoteAddr":"217.75.69.150","user":"--","app":"no app in context","method":"GET","url":"/nextcloud/","message":{"Exceptio$
{"reqId":"XnyZH9pYOk4FvEGDVMRSaQAAAAU","level":3,"time":"2020-03-26T11:59:30+00:00","remoteAddr":"217.75.69.150","user":"--","app":"index","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine$
{"reqId":"XnyZH9pYOk4FvEGDVMRSaQAAAAU","level":3,"time":"2020-03-26T11:59:30+00:00","remoteAddr":"217.75.69.150","user":"--","app":"core","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine\$
{"reqId":"XnyZH9pYOk4FvEGDVMRSaQAAAAU","level":3,"time":"2020-03-26T11:59:30+00:00","remoteAddr":"217.75.69.150","user":"--","app":"core","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine\$
{"reqId":"XnyajHnAlM65tYyu7gFZwwAAAAA","level":3,"time":"2020-03-26T12:05:33+00:00","remoteAddr":"217.75.69.150","user":"--","app":"PHP","method":"GET","url":"/nextcloud/","message":"Undefined index: name a$
{"reqId":"XnyajHnAlM65tYyu7gFZwwAAAAA","level":3,"time":"2020-03-26T12:05:33+00:00","remoteAddr":"217.75.69.150","user":"--","app":"PHP","method":"GET","url":"/nextcloud/","message":"Undefined index: name a$
{"reqId":"XnyajHnAlM65tYyu7gFZwwAAAAA","level":3,"time":"2020-03-26T12:05:34+00:00","remoteAddr":"217.75.69.150","user":"--","app":"no app in context","method":"GET","url":"/nextcloud/","message":{"Exceptio$
{"reqId":"XnyajHnAlM65tYyu7gFZwwAAAAA","level":3,"time":"2020-03-26T12:05:35+00:00","remoteAddr":"217.75.69.150","user":"--","app":"index","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine$
{"reqId":"XnyajHnAlM65tYyu7gFZwwAAAAA","level":3,"time":"2020-03-26T12:05:35+00:00","remoteAddr":"217.75.69.150","user":"--","app":"core","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine\$
{"reqId":"XnyajHnAlM65tYyu7gFZwwAAAAA","level":3,"time":"2020-03-26T12:05:35+00:00","remoteAddr":"217.75.69.150","user":"--","app":"core","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine\$
{"reqId":"Xnya8Bs42YwTmB7cfdhgPAAAAAs","level":3,"time":"2020-03-26T12:07:12+00:00","remoteAddr":"217.75.69.150","user":"--","app":"PHP","method":"GET","url":"/nextcloud/","message":"Undefined index: name a$
{"reqId":"Xnya8Bs42YwTmB7cfdhgPAAAAAs","level":3,"time":"2020-03-26T12:07:12+00:00","remoteAddr":"217.75.69.150","user":"--","app":"PHP","method":"GET","url":"/nextcloud/","message":"Undefined index: name a$
{"reqId":"Xnya8Bs42YwTmB7cfdhgPAAAAAs","level":3,"time":"2020-03-26T12:07:13+00:00","remoteAddr":"217.75.69.150","user":"--","app":"no app in context","method":"GET","url":"/nextcloud/","message":{"Exceptio$
{"reqId":"Xnya8Bs42YwTmB7cfdhgPAAAAAs","level":3,"time":"2020-03-26T12:07:13+00:00","remoteAddr":"217.75.69.150","user":"--","app":"index","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine$
{"reqId":"Xnya8Bs42YwTmB7cfdhgPAAAAAs","level":3,"time":"2020-03-26T12:07:13+00:00","remoteAddr":"217.75.69.150","user":"--","app":"core","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine\$
{"reqId":"Xnya8Bs42YwTmB7cfdhgPAAAAAs","level":3,"time":"2020-03-26T12:07:13+00:00","remoteAddr":"217.75.69.150","user":"--","app":"core","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine\$
{"reqId":"BCrZjuri5WDqdyW4rzJO","level":0,"time":"2020-03-26T12:12:15+00:00","remoteAddr":"","user":"--","app":"core","method":"","url":"--","message":"starting upgrade from 16.0.4.1 to 18.0.2.2","userAgent$
{"reqId":"BCrZjuri5WDqdyW4rzJO","level":3,"time":"2020-03-26T12:12:15+00:00","remoteAddr":"","user":"--","app":"core","method":"","url":"--","message":{"Exception":"Exception","Message":"Updates between mul$
{"reqId":"BCrZjuri5WDqdyW4rzJO","level":3,"time":"2020-03-26T12:12:15+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Updater::failure: Exception: Updates between $
{"reqId":"BCrZjuri5WDqdyW4rzJO","level":3,"time":"2020-03-26T12:12:15+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Updater::updateEnd: Update failed","userAgent$
{"reqId":"BCrZjuri5WDqdyW4rzJO","level":1,"time":"2020-03-26T12:12:15+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Updater::maintenanceActive: Maintenance mode $
{"reqId":"BCrZjuri5WDqdyW4rzJO","level":1,"time":"2020-03-26T12:12:15+00:00","remoteAddr":"","user":"--","app":"updater","method":"","url":"--","message":"\\OC\\Updater::resetLogLevel: Reset log level to Wa$
{"reqId":"XnycwhVDbcDjJsmo1LxRlQAAAAY","level":3,"time":"2020-03-26T12:14:58+00:00","remoteAddr":"217.75.69.150","user":"--","app":"PHP","method":"GET","url":"/nextcloud/","message":"Undefined index: name a$
{"reqId":"XnycwhVDbcDjJsmo1LxRlQAAAAY","level":3,"time":"2020-03-26T12:14:58+00:00","remoteAddr":"217.75.69.150","user":"--","app":"PHP","method":"GET","url":"/nextcloud/","message":"Undefined index: name a$
{"reqId":"XnycwhVDbcDjJsmo1LxRlQAAAAY","level":3,"time":"2020-03-26T12:14:58+00:00","remoteAddr":"217.75.69.150","user":"--","app":"no app in context","method":"GET","url":"/nextcloud/","message":{"Exceptio$
{"reqId":"XnycwhVDbcDjJsmo1LxRlQAAAAY","level":3,"time":"2020-03-26T12:14:58+00:00","remoteAddr":"217.75.69.150","user":"--","app":"index","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine$
{"reqId":"XnycwhVDbcDjJsmo1LxRlQAAAAY","level":3,"time":"2020-03-26T12:14:58+00:00","remoteAddr":"217.75.69.150","user":"--","app":"core","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine\$
{"reqId":"XnycwhVDbcDjJsmo1LxRlQAAAAY","level":3,"time":"2020-03-26T12:14:58+00:00","remoteAddr":"217.75.69.150","user":"--","app":"core","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine\$
{"reqId":"XnycxdrChGXSm59FYbrXwwAAAAQ","level":3,"time":"2020-03-26T12:15:01+00:00","remoteAddr":"217.75.69.150","user":"--","app":"PHP","method":"GET","url":"/nextcloud/","message":"Undefined index: name a$
{"reqId":"XnycxdrChGXSm59FYbrXwwAAAAQ","level":3,"time":"2020-03-26T12:15:01+00:00","remoteAddr":"217.75.69.150","user":"--","app":"PHP","method":"GET","url":"/nextcloud/","message":"Undefined index: name a$
{"reqId":"XnycxdrChGXSm59FYbrXwwAAAAQ","level":3,"time":"2020-03-26T12:15:01+00:00","remoteAddr":"217.75.69.150","user":"--","app":"no app in context","method":"GET","url":"/nextcloud/","message":{"Exceptio$
{"reqId":"XnycxdrChGXSm59FYbrXwwAAAAQ","level":3,"time":"2020-03-26T12:15:01+00:00","remoteAddr":"217.75.69.150","user":"--","app":"index","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine$
{"reqId":"XnycxdrChGXSm59FYbrXwwAAAAQ","level":3,"time":"2020-03-26T12:15:01+00:00","remoteAddr":"217.75.69.150","user":"--","app":"core","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine\$
{"reqId":"XnycxdrChGXSm59FYbrXwwAAAAQ","level":3,"time":"2020-03-26T12:15:01+00:00","remoteAddr":"217.75.69.150","user":"--","app":"core","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine\$
{"reqId":"Xnyf@Fq6xM6gyt4LWfpwRAAAAAQ","level":3,"time":"2020-03-26T12:28:40+00:00","remoteAddr":"217.75.69.150","user":"--","app":"PHP","method":"GET","url":"/nextcloud/","message":"Undefined index: name a$
{"reqId":"Xnyf@Fq6xM6gyt4LWfpwRAAAAAQ","level":3,"time":"2020-03-26T12:28:40+00:00","remoteAddr":"217.75.69.150","user":"--","app":"PHP","method":"GET","url":"/nextcloud/","message":"Undefined index: name a$
{"reqId":"Xnyf@Fq6xM6gyt4LWfpwRAAAAAQ","level":3,"time":"2020-03-26T12:28:40+00:00","remoteAddr":"217.75.69.150","user":"--","app":"no app in context","method":"GET","url":"/nextcloud/","message":{"Exceptio$
{"reqId":"Xnyf@Fq6xM6gyt4LWfpwRAAAAAQ","level":3,"time":"2020-03-26T12:28:40+00:00","remoteAddr":"217.75.69.150","user":"--","app":"index","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine$
{"reqId":"Xnyf@Fq6xM6gyt4LWfpwRAAAAAQ","level":3,"time":"2020-03-26T12:28:40+00:00","remoteAddr":"217.75.69.150","user":"--","app":"core","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine\$
{"reqId":"Xnyf@Fq6xM6gyt4LWfpwRAAAAAQ","level":3,"time":"2020-03-26T12:28:40+00:00","remoteAddr":"217.75.69.150","user":"--","app":"core","method":"GET","url":"/nextcloud/","message":{"Exception":"Doctrine\$

Any help please?
Thank you.

Nextcloud update between multiple major versions are unsupported.
Check if this thread helps:

Thaks for reply.
I’m trying yum downgrade nethserver-nextcloud-1.7.0-1.ns7 nextcloud-16.0.4.-1.el7

Loaded plugins: changelog, fastestmirror, nethserver_events
Loading mirror speeds from cached hostfile
 * ce-base: centos.serverspace.co.uk
 * ce-extras: centos.serverspace.co.uk
 * ce-sclo-rh: centos.serverspace.co.uk
 * ce-sclo-sclo: centos.serverspace.co.uk
 * ce-updates: centos.serverspace.co.uk
 * epel: mirror.karneval.cz
 * nethforge: mirror.alpix.eu
 * nethserver-base: mirror.alpix.eu
 * nethserver-updates: mirror.alpix.eu
 * remi-safe: remi.mirror.karneval.cz
No package nextcloud-16.0.4.-1.el7 available.
Resolving Dependencies
--> Running transaction check
---> Package nethserver-nextcloud.noarch 0:1.7.0-1.ns7 will be a downgrade
--> Processing Dependency: nextcloud >= 16.0.4 for package: nethserver-nextcloud-1.7.0-1.ns7.noarch
Package nextcloud-18.0.0-1.el7.noarch is obsoleted by nethserver-nextcloud-1.9.1-1.ns7.noarch which is already installed
---> Package nethserver-nextcloud.noarch 0:1.9.1-1.ns7 will be erased
--> Finished Dependency Resolution
Error: Package: nethserver-nextcloud-1.7.0-1.ns7.noarch (nethserver-base)
           Requires: nextcloud >= 16.0.4
           Removing: nethserver-nextcloud-1.9.1-1.ns7.noarch (@nethserver-updates)
               nextcloud
           Downgraded By: nethserver-nextcloud-1.7.0-1.ns7.noarch (nethserver-base)
               Not found
           Available: nethserver-nextcloud-1.9.0-1.ns7.noarch (nethserver-updates)
               nextcloud
           Available: nextcloud-10.0.4-2.el7.noarch (epel)
               nextcloud = 10.0.4-2.el7
           Available: nextcloud-16.0.4-1.el7.noarch (nethserver-base)
               nextcloud = 16.0.4-1.el7
           Available: nextcloud-16.0.5-1.ns7.noarch (nethserver-updates)
               nextcloud = 16.0.5-1.ns7
           Available: nextcloud-17.0.1-1.el7.noarch (nethserver-updates)
               nextcloud = 17.0.1-1.el7
           Available: nextcloud-17.0.2-1.el7.noarch (nethserver-updates)
               nextcloud = 17.0.2-1.el7
           Available: nextcloud-18.0.0-1.el7.noarch (nethserver-updates)
               nextcloud = 18.0.0-1.el7
           Available: nethserver-nextcloud-1.7.1-1.ns7.noarch (nethserver-updates)
               Not found
           Available: nethserver-nextcloud-1.8.0-1.ns7.noarch (nethserver-updates)
               Not found
           Available: nethserver-nextcloud-1.8.1-1.ns7.noarch (nethserver-updates)
               Not found
           Available: nethserver-nextcloud-1.8.2-1.ns7.noarch (nethserver-updates)
               Not found
           Available: nethserver-nextcloud-1.8.3-1.ns7.noarch (nethserver-updates)
               Not found
           Available: nethserver-nextcloud-1.8.4-1.ns7.noarch (nethserver-updates)
               Not found
           Available: nethserver-nextcloud-1.8.5-1.ns7.noarch (nethserver-updates)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

yum --showduplicates list *nextcloud

Installed Packages
nethserver-nextcloud.noarch                                                                          1.9.1-1.ns7                                                                            @nethserver-updates
Available Packages
nethserver-nextcloud.noarch                                                                          1.7.0-1.ns7                                                                            nethserver-base
nethserver-nextcloud.noarch                                                                          1.7.1-1.ns7                                                                            nethserver-updates
nethserver-nextcloud.noarch                                                                          1.8.0-1.ns7                                                                            nethserver-updates
nethserver-nextcloud.noarch                                                                          1.8.1-1.ns7                                                                            nethserver-updates
nethserver-nextcloud.noarch                                                                          1.8.2-1.ns7                                                                            nethserver-updates
nethserver-nextcloud.noarch                                                                          1.8.3-1.ns7                                                                            nethserver-updates
nethserver-nextcloud.noarch                                                                          1.8.4-1.ns7                                                                            nethserver-updates
nethserver-nextcloud.noarch                                                                          1.8.5-1.ns7                                                                            nethserver-updates
nethserver-nextcloud.noarch                                                                          1.9.0-1.ns7                                                                            nethserver-updates
nethserver-nextcloud.noarch                                                                          1.9.1-1.ns7                                                                            nethserver-updates
nextcloud.noarch                                                                                     10.0.4-2.el7                                                                           epel
nextcloud.noarch                                                                                     16.0.4-1.el7                                                                           nethserver-base
nextcloud.noarch                                                                                     16.0.5-1.ns7                                                                           nethserver-updates
nextcloud.noarch                                                                                     17.0.1-1.el7                                                                           nethserver-updates
nextcloud.noarch                                                                                     17.0.2-1.el7                                                                           nethserver-updates
nextcloud.noarch                                                                                     18.0.0-1.el7                                                       

there’ a typo .- (extra dot)

Thanks but still the same:
yum downgrade nethserver-nextcloud-1.7.0-1.ns7 nextcloud-16.0.4-1.el7
Loaded plugins: changelog, fastestmirror, nethserver_events
Loading mirror speeds from cached hostfile

  • ce-base: centos.serverspace.co.uk
  • ce-extras: centos.serverspace.co.uk
  • ce-sclo-rh: centos.serverspace.co.uk
  • ce-sclo-sclo: centos.serverspace.co.uk
  • ce-updates: centos.serverspace.co.uk
  • epel: ftp.upjs.sk
  • nethforge: mirror.alpix.eu
  • nethserver-base: mirror.alpix.eu
  • nethserver-updates: mirror.alpix.eu
  • remi-safe: remi.mirror.karneval.cz
    No Match for available package: nextcloud-16.0.4-1.el7.noarch
    Resolving Dependencies
    –> Running transaction check
    —> Package nethserver-nextcloud.noarch 0:1.7.0-1.ns7 will be a downgrade
    –> Processing Dependency: nextcloud >= 16.0.4 for package: nethserver-nextcloud-1.7.0-1.ns7.noarch
    Package nextcloud-18.0.0-1.el7.noarch is obsoleted by nethserver-nextcloud-1.9.1-1.ns7.noarch which is already installed
    —> Package nethserver-nextcloud.noarch 0:1.9.1-1.ns7 will be erased
    –> Finished Dependency Resolution
    Error: Package: nethserver-nextcloud-1.7.0-1.ns7.noarch (nethserver-base)
    Requires: nextcloud >= 16.0.4
    Removing: nethserver-nextcloud-1.9.1-1.ns7.noarch (@nethserver-updates)
    nextcloud
    Downgraded By: nethserver-nextcloud-1.7.0-1.ns7.noarch (nethserver-base)
    Not found
    Available: nethserver-nextcloud-1.9.0-1.ns7.noarch (nethserver-updates)
    nextcloud
    Available: nextcloud-10.0.4-2.el7.noarch (epel)
    nextcloud = 10.0.4-2.el7
    Available: nextcloud-16.0.4-1.el7.noarch (nethserver-base)
    nextcloud = 16.0.4-1.el7
    Available: nextcloud-16.0.5-1.ns7.noarch (nethserver-updates)
    nextcloud = 16.0.5-1.ns7
    Available: nextcloud-17.0.1-1.el7.noarch (nethserver-updates)
    nextcloud = 17.0.1-1.el7
    Available: nextcloud-17.0.2-1.el7.noarch (nethserver-updates)
    nextcloud = 17.0.2-1.el7
    Available: nextcloud-18.0.0-1.el7.noarch (nethserver-updates)
    nextcloud = 18.0.0-1.el7
    Available: nethserver-nextcloud-1.7.1-1.ns7.noarch (nethserver-updates)
    Not found
    Available: nethserver-nextcloud-1.8.0-1.ns7.noarch (nethserver-updates)
    Not found
    Available: nethserver-nextcloud-1.8.1-1.ns7.noarch (nethserver-updates)
    Not found
    Available: nethserver-nextcloud-1.8.2-1.ns7.noarch (nethserver-updates)
    Not found
    Available: nethserver-nextcloud-1.8.3-1.ns7.noarch (nethserver-updates)
    Not found
    Available: nethserver-nextcloud-1.8.4-1.ns7.noarch (nethserver-updates)
    Not found
    Available: nethserver-nextcloud-1.8.5-1.ns7.noarch (nethserver-updates)
    Not found
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest

As I wrote earlier : You must first remove the nextcloud and nethserver-nextcloud packages (don’t worry it won’t wipe your data nor your config) then install the next major version relative to the one previously installed, and so on until the latest.

So if you had 16 you must first install 17 then 18 (latest).

1 Like

It is good way to remove nextcloud in server manager?

Yes sure but you might simply do yum remove nextcloud nethserver-nextcloud

So if you were using version 16, after that install nextcloud 17 by issuing yum --setopt=obsoletes=0 install nethserver-nextcloud-1.8.4-1.ns7

Then yum update nextcloud-nethserver nextcloud

[root@server1 ~]# yum remove nextcloud nethserver-nextcloud
Loaded plugins: changelog, fastestmirror, nethserver_events
Resolving Dependencies
–> Running transaction check
—> Package nethserver-nextcloud.noarch 0:1.9.1-1.ns7 will be erased
–> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================================================================
Package Arch Version Repository Size

Removing:
nethserver-nextcloud noarch 1.9.1-1.ns7 @nethserver-updates 243 M

Transaction Summary

Remove 1 Package

Installed size: 243 M
Is this ok [y/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Erasing : nethserver-nextcloud-1.9.1-1.ns7.noarch 1/1
warning: file /usr/share/nextcloud/config/CAN_INSTALL: remove failed: No such file or directory
Verifying : nethserver-nextcloud-1.9.1-1.ns7.noarch 1/1

Removed:
nethserver-nextcloud.noarch 0:1.9.1-1.ns7

And then

[root@server1 ~]# yum --setopt=obsoletes=0 install nethserver-nextcloud-1.8.4-1.ns7
Loaded plugins: changelog, fastestmirror, nethserver_events
Loading mirror speeds from cached hostfile

  • ce-base: centos.serverspace.co.uk
  • ce-extras: centos.serverspace.co.uk
  • ce-sclo-rh: centos.serverspace.co.uk
  • ce-sclo-sclo: centos.serverspace.co.uk
  • ce-updates: centos.serverspace.co.uk
  • epel: mirror.karneval.cz
  • nethforge: mirror.alpix.eu
  • nethserver-base: mirror.alpix.eu
  • nethserver-updates: mirror.alpix.eu
  • remi-safe: remi.mirror.karneval.cz
    Resolving Dependencies
    –> Running transaction check
    —> Package nethserver-nextcloud.noarch 0:1.8.4-1.ns7 will be installed
    –> Processing Dependency: nextcloud >= 17.0.2 for package: nethserver-nextcloud-1.8.4-1.ns7.noarch
    –> Running transaction check
    —> Package nethserver-nextcloud.noarch 0:1.9.1-1.ns7 will be installed
    –> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================================================================
Package Arch Version Repository Size

Installing for dependencies:
nethserver-nextcloud noarch 1.9.1-1.ns7 nethserver-updates 76 M

Transaction Summary

Install ( 1 Dependent package)

Total download size: 76 M
Installed size: 243 M
Is this ok [y/d/N]:

It again install nextcloud 19

Right : I double checked what I did on my server. Turns out I did this way :

yum --setopt=obsoletes=0 install nextcloud-17.0.2-1.el7 
yum --setopt=obsoletes=0 install nethserver-nextcloud-1.8.4-1.ns7

NB : you might enclose console output in a code block (see toolbar) to make it more readable.

1 Like

@pagaille thank you very much. It works :smiley:

1 Like

You’re welcome ! Can’t believe that in 2020 upgrading two major version at a time can lead to such problems.

I updated my solution on the other thread.